Subject: RE: bug#15942: 24.3.50; Error during redisplay: ... ("Advised function" 0 16 (dynamic-docstring-function advice--make-docstring))

From: Drew Adams <[email-masked]>
Date: Wed, 11 Dec 2013 08:23:29 -0800 (PST)

> > Error during redisplay: (#[128 "..." [apply
> > redisplay--update-region-highlights ignore nil] 4 #("Advised function" 0
> 16
> > (dynamic-docstring-function advice--make-docstring)) nil] t) signaled
> (quit)
> 
> Hmm... we have a problem: the "Error during redisplay" message comes
> from xdisp.c's safe_call, but that function is also used by
> non-redisplay code.
> 
> As for your particular problem, this doesn't give enough info to make
> much progress.  If you see it regularly, try and narrow down the scope,
> e.g. try and remember what you doing around that time, try to make it
> reproducible... you know, the usual.

I don't see it regularly.  I occasionally get errors during redisplay,
but this is the first time I've noticed this particular error.

Errors during redisplay are not so easy to track down, in terms of what
a user might have been doing (including apparently "doing" nothing).
(The mode line, in particular, seems to be a source of such errors.)

I think your best bet might be to somehow make such errors convey more
info (e.g., about the context).  Hoping for users to provide meaningful
context here is not very realistic, I think.